Fontconfig Developers Reference, Version 2.2.2
Prev |  | Next

# FcConfigSubstituteWithPat

## Name

FcConfigSubstituteWithPat -- Execute substitutions

## Synopsis

    #include <fontconfig.h>

``FcBool FcConfigSubstituteWithPat`(FcConfig *config, FcPattern *p, FcPattern *p_pat, FcMatchKindkind);`

## Description

Performs the sequence of pattern modification operations, if kind is FcMatchPattern, then those tagged as pattern operations are applied, else if kind is FcMatchFont, those tagged as font operations are applied and p_pat is used for <test> elements with target=pattern.

## Version

Fontconfig version 2.2.2

Prev | Home | Next
FcConfigAppFontClear | Up | FcConfigSubstitute